CVE-1999-1383

Current Description

(1) bash before 1.14.7, and (2) tcsh 6.05 allow local users to gain privileges via directory names that contain shell metacharacters (` back-tick), which can cause the commands enclosed in the directory name to be executed when the shell expands filenames using the w option in the PS1 variable.

Basic Data

PublishedSeptember 13, 1996
Last ModifiedOctober 18, 2016
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-264
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score4.6
SeverityMEDIUM
Exploitability Score3.9
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegetrue
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationGnuBash1.14.0*******
    2.3ApplicationGnuBash1.14.1*******
    2.3ApplicationGnuBash1.14.2*******
    2.3ApplicationGnuBash1.14.3*******
    2.3ApplicationGnuBash1.14.4*******
    2.3ApplicationGnuBash1.14.5*******
    2.3ApplicationGnuBash********1.14.6
    2.3ApplicationTcshTcsh6.05*******

Vulnerable Software List

VendorProductVersions
Gnu Bash *, 1.14.0, 1.14.1, 1.14.2, 1.14.3, 1.14.4, 1.14.5
Tcsh Tcsh 6.05

References

NameSourceURLTags
19960913 tee see shell problemshttp://marc.info/?l=bugtraq&m=87602167419868&w=2BUGTRAQ
19960919 Vulnerability in expansion of PS1 in bash & tcshhttp://www.dataguard.no/bugtraq/1996_3/0503.htmlBUGTRAQExploit Patch Vendor Advisory